GNU bug report logs - #44556
27.1; Ido deletes file without configuration with C-x C-v C-k

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Christopher Sean Morrison <brlcad@HIDDEN>; dated Tue, 10 Nov 2020 20:05:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 44556 <at> debbugs.gnu.org:


Received: (at 44556) by debbugs.gnu.org; 9 Dec 2020 20:35:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 09 15:35:52 2020
Received: from localhost ([127.0.0.1]:36300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kn6Bk-0008Eu-E7
	for submit <at> debbugs.gnu.org; Wed, 09 Dec 2020 15:35:52 -0500
Received: from quimby.gnus.org ([95.216.78.240]:42328)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kn6Bi-0008Eg-Ss
 for 44556 <at> debbugs.gnu.org; Wed, 09 Dec 2020 15:35:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=Y2pHzkOQ3haFMxh49s9NRXiOpSSg9EjCpOHkQSE4Cxw=; b=TNPKm/JPk14K+eyHtvJs+Wvxnc
 JmD122397ZTV6BSHhkHLNjNFZxNVfvRpYith1YAV0cXL4KbeDpI/p/22xiiwAXs1Fc7bE1Iwj8KyE
 A71bJnebFIVW0f3a01IFy+tsrUi5KSrWigDrv+BRAhyj5SwdgMnXyE6/yMxHjnpYx3tE=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kn6Ba-0005Lb-25; Wed, 09 Dec 2020 21:35:44 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Christopher Sean Morrison <brlcad@HIDDEN>
Subject: Re: bug#44556: 27.1; Ido deletes file without configuration with
 C-x C-v C-k
References: <F203BBAC-D2D6-4DDD-AC26-A3353875C436@HIDDEN>
 <87o8k4cicz.fsf@HIDDEN> <87k0tr10a6.fsf@HIDDEN>
 <86C0D40E-5DAD-452B-ACCB-C6E18E7F988D@HIDDEN>
X-Now-Playing: =?utf-8?Q?R=C3=B3isin?= Murphy's _Murphy's Law (Crooked
 Remixes)_: "Murphy's Law (Crooked Cowbelly 2)"
Date: Wed, 09 Dec 2020 21:35:40 +0100
In-Reply-To: <86C0D40E-5DAD-452B-ACCB-C6E18E7F988D@HIDDEN> (Christopher Sean
 Morrison's message of "Wed, 9 Dec 2020 14:23:40 -0500")
Message-ID: <87pn3ivhsz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Christopher Sean Morrison <brlcad@HIDDEN> writes: > As I
   said, I provided the recipe that affected me in the original > report —
   see the “For example” line. I do not know if this issue > occurs in any
    other context, e.g., with/without Graphene [...] 
 
 Content analysis details:   (-0.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
  2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 44556
Cc: 44556 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

Christopher Sean Morrison <brlcad@HIDDEN> writes:

> As I said, I provided the recipe that affected me in the original
> report =E2=80=94 see the =E2=80=9CFor example=E2=80=9D line.  I do not kn=
ow if this issue
> occurs in any other context, e.g., with/without Graphene and am not
> any more available to explore those possibilities.

I interpreted your bug report to say that you needed Graphene to
reproduce the problem, but I see now that you didn't really say that.

The recipe is:

touch file1 file2
emacs -Q -f ido-mode file1
C-x C-v C-k

Emacs will now say "Delete /tmp/file1 (yes or no)", and that is indeed
pretty surprising behaviour.

It's due to this:

(defvar ido-file-completion-map
[...]
    (define-key map "\C-k" 'ido-delete-file-at-head)

I had no idea that that existed -- I use ido myself, but not for files.

Anybody who uses ido for files here?  Do you really use this to delete
files?  It seems really odd to mix up file deletion into a file name
completion framework.

(Reopening this bug report.)

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44556; Package emacs. Full text available.

Message received at 44556 <at> debbugs.gnu.org:


Received: (at 44556) by debbugs.gnu.org; 9 Dec 2020 20:26:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 09 15:26:27 2020
Received: from localhost ([127.0.0.1]:36260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kn62d-0007z0-Aq
	for submit <at> debbugs.gnu.org; Wed, 09 Dec 2020 15:26:27 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:51665)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kn62b-0007yl-TW
 for 44556 <at> debbugs.gnu.org; Wed, 09 Dec 2020 15:26:26 -0500
Received: from localhost ([::ffff:41.202.241.31])
 (AUTH: PLAIN securesender, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by stw1.rcdrun.com with ESMTPSA
 id 000000000001E525.000000005FD132EA.0000582D; Wed, 09 Dec 2020 13:26:18 -0700
Date: Wed, 9 Dec 2020 23:22:31 +0300
From: Jean Louis <bugs@HIDDEN>
To: Christopher Sean Morrison <brlcad@HIDDEN>
Subject: Re: bug#44556: 27.1; Ido deletes file without configuration with C-x
 C-v C-k
Message-ID: <X9EyB7C+90hExq/r@HIDDEN>
References: <F203BBAC-D2D6-4DDD-AC26-A3353875C436@HIDDEN>
 <87o8k4cicz.fsf@HIDDEN> <87k0tr10a6.fsf@HIDDEN>
 <86C0D40E-5DAD-452B-ACCB-C6E18E7F988D@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <86C0D40E-5DAD-452B-ACCB-C6E18E7F988D@HIDDEN>
User-Agent: Mutt/2.0 (3d08634) (2020-11-07)
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 44556
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 44556 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

* Christopher Sean Morrison via "Bug reports for GNU Emacs, the Swiss
army knife of tex
> I don’t know the inner workings of Ido to dig deeper on why it is
> not prompting for confirmation as that's the crux of this report.
> If I ctrl-k, file is deleted silently without confirmation.

It is made as function in that package. I find it badly designed as
C-k means by default to kill-line and user can make mistake
easily. Why should completing package have function to delete file
during completion?! Wow I am surprised.

Better don't use it.

Use ivy from GNU ELPA.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44556; Package emacs. Full text available.

Message received at 44556 <at> debbugs.gnu.org:


Received: (at 44556) by debbugs.gnu.org; 9 Dec 2020 19:23:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 09 14:23:50 2020
Received: from localhost ([127.0.0.1]:36151 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kn541-0004Gh-So
	for submit <at> debbugs.gnu.org; Wed, 09 Dec 2020 14:23:50 -0500
Received: from st43p00im-zteg10072001.me.com ([17.58.63.167]:37308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brlcad@HIDDEN>) id 1kn53z-0004GT-GL
 for 44556 <at> debbugs.gnu.org; Wed, 09 Dec 2020 14:23:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mac.com; s=1a1hai;
 t=1607541821; bh=7d5dxPGKyKLJCaYljXqsJO9Sx1pVrLpNI0jMYfjqJ5g=;
 h=Content-Type:Mime-Version:Subject:From:Date:Message-Id:To;
 b=nzW1z/Ir8Dq4/YmL9DbD8b+wKzOx0CMdJbd0hTRo4BT/jf5ZH46r3MYyyZfo/ccXU
 2PSEleq9bb2RrrP6FlR+aZVEjArQgYYFQeOrycVNq5xpAg/qrTDooSuBApgf16ENYz
 Jr2EpZx3Wjp8SYJJqn29jblOcNNjgSLULukLNHh2cREtaaU5t2jDoRA1OnWcvHrOVc
 YTqlJFzdOnMXl/TdPMAmuaOyanRlVFd3djAav2l+Q6h3jDTlCift51QY4LL4Nv3EEH
 1yvbIGCON7unnz2hfF3i1c8Bpf4EYbtG8I94jHGsHyO1JnVQVIjt2czDc/6wsIQTEH
 H2vnUcN8zRVWw==
Received: from agua.lan (c-69-138-222-95.hsd1.md.comcast.net [69.138.222.95])
 by st43p00im-zteg10072001.me.com (Postfix) with ESMTPSA id
 5A896C05B3; Wed,  9 Dec 2020 19:23:41 +0000 (UTC)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.15\))
Subject: Re: bug#44556: 27.1; Ido deletes file without configuration with C-x
 C-v C-k
From: Christopher Sean Morrison <brlcad@HIDDEN>
In-Reply-To: <87k0tr10a6.fsf@HIDDEN>
Date: Wed, 9 Dec 2020 14:23:40 -0500
Content-Transfer-Encoding: quoted-printable
Message-Id: <86C0D40E-5DAD-452B-ACCB-C6E18E7F988D@HIDDEN>
References: <F203BBAC-D2D6-4DDD-AC26-A3353875C436@HIDDEN>
 <87o8k4cicz.fsf@HIDDEN> <87k0tr10a6.fsf@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.15)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.343, 18.0.737
 definitions=2020-12-09_16:2020-12-09,
 2020-12-09 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011 mlxscore=0
 mlxlogscore=578 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-2006250000 definitions=main-2012090136
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 44556
Cc: 44556 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)



>> Can you give a recipe for reproducing this bug, starting from
>> "emacs -Q"?  I do not have Graphene installed (which seems to be a =
package
>> from Melpa), so a recipe for reproducing the bug without installing =
that
>> package would be nice.
>=20
> More information was requested, but no response was given within a=20
> month, so I'm closing this bug report.  If the problem still exists,
> please respond to this email and we'll reopen the bug report.

Closing the report is unexpected (and comes across as rude, in my humble =
opinion, if you=E2=80=99re interested in social interaction feedback).  =
You asked for a reproduction recipe, which I=E2=80=99d already provided =
in the original bug report (see the "For example" sentence).  That came =
across to me as lazy disinterest from an unknown, which I was not =
inclined to engage.  I realize this may have simply been a =
misunderstanding due to the manner in which the response was worded.

As I said, I provided the recipe that affected me in the original report =
=E2=80=94 see the =E2=80=9CFor example=E2=80=9D line.  I do not know if =
this issue occurs in any other context, e.g., with/without Graphene and =
am not any more available to explore those possibilities.  I did report =
the bug with the Graphene developer, they investigated, and determined =
it was a bug in Ido.  That=E2=80=99s why I then took the time to report =
the issue here with the information I made available.

I don=E2=80=99t know the inner workings of Ido to dig deeper on why it =
is not prompting for confirmation as that's the crux of this report.  If =
I ctrl-k, file is deleted silently without confirmation.







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44556; Package emacs. Full text available.

Message received at 44556 <at> debbugs.gnu.org:


Received: (at 44556) by debbugs.gnu.org; 9 Dec 2020 15:26:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 09 10:26:28 2020
Received: from localhost ([127.0.0.1]:35739 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kn1MK-0000Bb-Ic
	for submit <at> debbugs.gnu.org; Wed, 09 Dec 2020 10:26:28 -0500
Received: from static.rcdrun.com ([95.85.24.50]:46281)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kn1MI-0000BN-Ub
 for 44556 <at> debbugs.gnu.org; Wed, 09 Dec 2020 10:26:27 -0500
Received: from localhost ([::ffff:41.202.241.31])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by static.rcdrun.com with ESMTPSA
 id 00000000002C1AEB.000000005FD0EC9C.000026C0; Wed, 09 Dec 2020 15:26:19 +0000
Date: Wed, 9 Dec 2020 18:24:17 +0300
From: Jean Louis <bugs@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#44556: 27.1; Ido deletes file without configuration with C-x
 C-v C-k
Message-ID: <X9DsIczw4ZzWTMJ7@HIDDEN>
References: <F203BBAC-D2D6-4DDD-AC26-A3353875C436@HIDDEN>
 <87o8k4cicz.fsf@HIDDEN> <87k0tr10a6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87k0tr10a6.fsf@HIDDEN>
User-Agent: Mutt/2.0 (3d08634) (2020-11-07)
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 44556
Cc: Christopher Sean Morrison <brlcad@HIDDEN>, 44556 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

* Lars Ingebrigtsen <larsi@HIDDEN> [2020-12-09 18:13]:
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
> 
> > Can you give a recipe for reproducing this bug, starting from
> > "emacs -Q"?  I do not have Graphene installed (which seems to be a package
> > from Melpa), so a recipe for reproducing the bug without installing that
> > package would be nice.
> 
> More information was requested, but no response was given within a 
> month, so I'm closing this bug report.  If the problem still exists,
> please respond to this email and we'll reopen the bug report.

I have tried C-x C-v and that completes to open file literally and
then C-k is bound to the function below. I cannot see the bug, it is
rather key binding in ido to delete the file.

C-k runs the command ido-delete-file-at-head (found in
ido-completion-map), which is an interactive compiled Lisp function in
‘ido.el’.

It is bound to C-k.

(ido-delete-file-at-head)

Delete the file at the head of ‘ido-matches’.
Trash the file if ‘delete-by-moving-to-trash’ is non-nil.
If cursor is not at the end of the user input, delete to end of input.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44556; Package emacs. Full text available.
bug closed, send any further explanations to 44556 <at> debbugs.gnu.org and Christopher Sean Morrison <brlcad@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44556 <at> debbugs.gnu.org:


Received: (at 44556) by debbugs.gnu.org; 9 Dec 2020 15:12:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 09 10:12:28 2020
Received: from localhost ([127.0.0.1]:35684 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kn18l-00067L-V9
	for submit <at> debbugs.gnu.org; Wed, 09 Dec 2020 10:12:28 -0500
Received: from quimby.gnus.org ([95.216.78.240]:39092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kn18k-000676-Ft
 for 44556 <at> debbugs.gnu.org; Wed, 09 Dec 2020 10:12:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=i3XdMayjZzFtZVeu13Jr3RT7M4i43LqFQjt6AEhQ+l4=; b=azOIwZ8CDKa75lhHDtc9m7Z+0F
 dK035PmaHOKjSSgFsR15m5cnXHGwKOVcsxHwOK5PTn6T8pkBJ7WWGsdWgCP3BZI9JhpoY1nWly3Hd
 iV6IFmmBZDZIt/BO3Rr+oiExzju0U5iJZCsAKxQ3BgLdhsqKooNgV16Czdh2iAXoB3c8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kn18c-0002Og-Gh; Wed, 09 Dec 2020 16:12:20 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Christopher Sean Morrison <brlcad@HIDDEN>
Subject: Re: bug#44556: 27.1; Ido deletes file without configuration with
 C-x C-v C-k
References: <F203BBAC-D2D6-4DDD-AC26-A3353875C436@HIDDEN>
 <87o8k4cicz.fsf@HIDDEN>
X-Now-Playing: Irreversible Entanglements's _Who Sent You?_: "The Code
 Noir-Amina"
Date: Wed, 09 Dec 2020 16:12:17 +0100
In-Reply-To: <87o8k4cicz.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 11 Nov 2020 11:12:28 +0100")
Message-ID: <87k0tr10a6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > Can you give
 a recipe for reproducing this bug, starting from > "emacs -Q"? I do not have
 Graphene installed (which seems to be a package > from Melpa), so a recipe
 for reproducing the bug without i [...] 
 Content analysis details:   (-0.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 44556
Cc: 44556 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Can you give a recipe for reproducing this bug, starting from
> "emacs -Q"?  I do not have Graphene installed (which seems to be a package
> from Melpa), so a recipe for reproducing the bug without installing that
> package would be nice.

More information was requested, but no response was given within a 
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44556; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44556 <at> debbugs.gnu.org:


Received: (at 44556) by debbugs.gnu.org; 11 Nov 2020 10:12:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 11 05:12:41 2020
Received: from localhost ([127.0.0.1]:40313 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcn7J-0002kx-Ik
	for submit <at> debbugs.gnu.org; Wed, 11 Nov 2020 05:12:41 -0500
Received: from quimby.gnus.org ([95.216.78.240]:35804)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kcn7H-0002kg-B2
 for 44556 <at> debbugs.gnu.org; Wed, 11 Nov 2020 05:12:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=HElsDzRw+pWUtk4MOjL0nfr1AkSF0M3hYFJlNu5yzhE=; b=MOvm3KIxYbpqm3szC/DVu8RQ+J
 1ErHIbO2eKLH0Ujuhsv9JDNanXDUuYSCU1Ji3/4pY0E8BSn/0jkvhrxp7qFxhHonETNeOVeDIcIb1
 vGu1PdapCSFUxRLimLlJREij5RMJ3MXN+QE15+qlwOvea8xazx6O/68I7GnQ8uGOckFE=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kcn77-0000Ih-RV; Wed, 11 Nov 2020 11:12:33 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Christopher Sean Morrison <brlcad@HIDDEN>
Subject: Re: bug#44556: 27.1; Ido deletes file without configuration with
 C-x C-v C-k
References: <F203BBAC-D2D6-4DDD-AC26-A3353875C436@HIDDEN>
X-Now-Playing: Nils Frahm's _Encores 2_: "Talisman"
Date: Wed, 11 Nov 2020 11:12:28 +0100
In-Reply-To: <F203BBAC-D2D6-4DDD-AC26-A3353875C436@HIDDEN> (Christopher Sean
 Morrison's message of "Tue, 10 Nov 2020 14:55:11 -0500")
Message-ID: <87o8k4cicz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Christopher Sean Morrison <brlcad@HIDDEN> writes: > Ido is
 not prompting for file delete confirmation during C-k. > > Upon installing
 Graphene (require 'graphene) which enables Ido > everywhere, I found myself
 accidentally deleting files when attempt [...] 
 Content analysis details:   (-0.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 2.0 GAPPY_SUBJECT          Subject: contains G.a.p.p.y-T.e.x.t
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 44556
Cc: 44556 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

Christopher Sean Morrison <brlcad@HIDDEN> writes:

> Ido is not prompting for file delete confirmation during C-k.
>
> Upon installing Graphene (require 'graphene) which enables Ido
> everywhere, I found myself accidentally deleting files when attempting
> to switch to other files via C-x C-v and being accustomed to running C-k
> to cut the current file name from the minibuffer line and type a new
> file name.  For example, touch file1 file2; emacs file1; C-x C-v C-k
> file2 [enter].

Can you give a recipe for reproducing this bug, starting from
"emacs -Q"?  I do not have Graphene installed (which seems to be a package
from Melpa), so a recipe for reproducing the bug without installing that
package would be nice.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44556; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Nov 2020 20:04:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 10 15:04:18 2020
Received: from localhost ([127.0.0.1]:38984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcZsI-0002Mf-9a
	for submit <at> debbugs.gnu.org; Tue, 10 Nov 2020 15:04:18 -0500
Received: from lists.gnu.org ([209.51.188.17]:59276)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brlcad@HIDDEN>) id 1kcZjd-0008SK-WD
 for submit <at> debbugs.gnu.org; Tue, 10 Nov 2020 14:55:22 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:57700)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brlcad@HIDDEN>) id 1kcZjd-0000tB-Mf
 for bug-gnu-emacs@HIDDEN; Tue, 10 Nov 2020 14:55:21 -0500
Received: from st43p00im-zteg10073501.me.com ([17.58.63.180]:51919)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <brlcad@HIDDEN>) id 1kcZjY-0003Gz-2j
 for bug-gnu-emacs@HIDDEN; Tue, 10 Nov 2020 14:55:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mac.com; s=1a1hai;
 t=1605038112; bh=Vrel15Rtv+GpZpsuxufgUVQBxgFNXDlES5K/I7HbJVM=;
 h=From:Content-Type:Mime-Version:Subject:Message-Id:Date:To;
 b=LV4T4ZcSe0JlRYFl9hBNck/CFFNJN+I2XU04yiLqGNIcqYfYwDiqZ8dTexQT5nK0H
 ToFzszcK9G5HLA8LooLbZVwWdCxrKf7N7YVIxugmH2lRyLPSY+GD2tC+oL7hSef/PE
 YvhIZ5oHT1mmEZxd4ax8h25nDvtQaMrguLKyaSfcZqxVPaMkek6fmegG+0wTzQi5op
 TtLLOL8+lzPWSCYJLfiUdQa1DPymmQ5pWCWdfjWbgic6PGC/OO0IrNjUX6TAGcxrun
 rr6xeRDdMZnLMDgAznwFAw1wWyapucBDfCSIi3IawexRh1w6iSIlXGnJnJqVk8dnUd
 Ee5T34Of+kuyg==
Received: from [192.168.1.3] (216.49.34.142.res-cmts.bus.ptd.net
 [216.49.34.142])
 by st43p00im-zteg10073501.me.com (Postfix) with ESMTPSA id 8F8A7AE02B4
 for <bug-gnu-emacs@HIDDEN>; Tue, 10 Nov 2020 19:55:12 +0000 (UTC)
From: Christopher Sean Morrison <brlcad@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.15\))
Subject: 27.1; Ido deletes file without configuration with C-x C-v C-k
Message-Id: <F203BBAC-D2D6-4DDD-AC26-A3353875C436@HIDDEN>
Date: Tue, 10 Nov 2020 14:55:11 -0500
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3445.104.15)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.312, 18.0.737
 definitions=2020-11-10_07:2020-11-10,
 2020-11-10 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=1
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011 mlxscore=0
 mlxlogscore=999 adultscore=0 classifier=spam adjust=0 reason=mlx
 scancount=1 engine=8.0.1-2006250000 definitions=main-2011100135
Received-SPF: pass client-ip=17.58.63.180; envelope-from=brlcad@HIDDEN;
 helo=st43p00im-zteg10073501.me.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/10 14:55:13
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Spam_score_int: -19
X-Spam_score: -2.0
X-Spam_bar: --
X-Spam_report: (-2.0 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 GAPPY_SUBJECT=0.1, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 10 Nov 2020 15:04:17 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.2 (--)


Ido is not prompting for file delete confirmation during C-k.

Upon installing Graphene (require 'graphene) which enables Ido
everywhere, I found myself accidentally deleting files when attempting
to switch to other files via C-x C-v and being accustomed to running C-k
to cut the current file name from the minibuffer line and type a new
file name.  For example, touch file1 file2; emacs file1; C-x C-v C-k
file2 [enter].

With default bindings, that's an efficient switch to file2 but instead=20=

is resulting in file1 being silently deleted.

According to a comment in ido.el, C-k is supposed to confirm the
deletion but no confirmation is presented.  I'm running 27.1 installed
from brew on MacOSX.


Configured using:
 'configure --disable-silent-rules
 --enable-locallisppath=3D/usr/local/share/emacs/site-lisp
 --infodir=3D/usr/local/Cellar/emacs/27.1/share/info/emacs
 --prefix=3D/usr/local/Cellar/emacs/27.1 --with-gnutls --without-x
 --with-xml2 --without-dbus --with-modules --without-ns
 --without-imagemagick'

Configured features:
NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB MODULES THREADS JSON PDUMPER GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  show-paren-mode: t
  project-persist-drawer-mode: t
  project-persist-mode: t
  global-auto-revert-mode: t
  ido-ubiquitous-mode: t
  ido-everywhere: t
  delete-selection-mode: t
  global-company-mode: t
  company-mode: t
  smartparens-global-mode: t
  smartparens-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
~/.emacs.d/lisp/cmake-mode hides =
/usr/local/share/emacs/site-lisp/cmake/cmake-mode

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa derived epg epg-config gnus-util
rmail rmail-loaddefs time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils misearch multi-isearch
jka-compr eieio-opt cl-extra help-fns radix-tree ffap bookmark
text-property-search pp term/xterm xterm flycheck ansi-color find-func
rx paren linum graphene graphene-look graphene-osx-defaults
graphene-projects ppd-sr-speedbar project-persist-drawer sr-speedbar
speedbar sb-image ezimage image dframe project-persist graphene-env
autorevert filenotify ido-completing-read+ memoize minibuf-eldef smex
ido graphene-editing delsel smartparens-html web-mode disp-table
company-oddmuse company-keywords company-etags etags fileloop generator
xref project ring company-gtags company-dabbrev-code company-dabbrev
company-files company-clang company-capf company-cmake company-semantic
company-template company-bbdb company edmacro kmacro pcase
graphene-smartparens-config smartparens-config smartparens-text
smartparens advice help-mode dash graphene-helper-functions finder-inf
cc-styles cc-align cc-engine cc-vars cus-edit cus-start cus-load
wid-edit google-c-style cc-defs regexp-opt cmake-mode thingatpt info
tool-bar package easymenu browse-url url-handlers url-parse auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache json
subr-x map url-vars seq byte-opt gv bytecomp byte-compile cconv
cl-loaddefs cl-lib tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads kqueue multi-tty make-network-process emacs)

Memory information:
((conses 16 306295 12861)
 (symbols 48 22766 2)
 (strings 32 99999 1371)
 (string-bytes 1 2760347)
 (vectors 16 29865)
 (vector-slots 8 346698 12318)
 (floats 8 104 654)
 (intervals 56 263 0)
 (buffers 1000 13))





Acknowledgement sent to Christopher Sean Morrison <brlcad@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44556; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 9 Dec 2020 20:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.